> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pay-ins

> Returns a paginated list of pay-ins.



## OpenAPI

````yaml GET /v2/transactions/pay-ins
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v2/transactions/pay-ins:
    get:
      tags:
        - Transactions
      summary: List Pay-ins
      description: Returns a paginated list of pay-ins.
      operationId: listPayInsV2
      parameters:
        - $ref: '#/components/parameters/CurrentPageParam'
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          description: Number of results per page. Must be between 1 and 100.
          example: 10
      responses:
        '200':
          description: Pay-ins retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          current_page:
                            type: integer
                            example: 1
                          per_page:
                            type: integer
                            example: 10
                          total_page:
                            type: integer
                            example: 2
                          total:
                            type: integer
                            example: 13
                      pay_ins:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              example: 728c95d3-8b1e-4497-b3da-f36bcc066d7d
                            status:
                              type: string
                              enum:
                                - EXPIRED
                                - PENDING
                                - PROCESSING
                                - COMPLETED
                                - FAILED
                              example: PENDING
                            source_amount:
                              type: integer
                              description: Source amount in minor units (cents).
                              example: 100101
                            source_amount_in_major:
                              type: number
                              description: Source amount in major units.
                              example: 1001.01
                            currency:
                              type: string
                              example: MXN
                            created_at:
                              type: string
                              format: date-time
                              description: Timestamp at which the pay-in was created.
                              example: '2026-06-09T18:27:35.468309Z'
              example:
                data:
                  pagination:
                    current_page: 1
                    per_page: 10
                    total_page: 2
                    total: 13
                  pay_ins:
                    - id: 728c95d3-8b1e-4497-b3da-f36bcc066d7d
                      status: PENDING
                      source_amount: 100101
                      source_amount_in_major: 1001.01
                      currency: MXN
                      created_at: '2026-06-09T18:27:35.468309Z'
                    - id: 395bc958-fa03-4538-b57e-45dcc8becb24
                      status: COMPLETED
                      source_amount: 100101
                      source_amount_in_major: 1001.01
                      currency: MXN
                      created_at: '2026-06-06T10:34:16.519314Z'
                    - id: d2d568a3-fde9-4a46-aa37-7e9da6d2cf57
                      status: FAILED
                      source_amount: 12000
                      source_amount_in_major: 120
                      currency: MXN
                      created_at: '2026-06-03T20:38:53.484808Z'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  parameters:
    CurrentPageParam:
      name: current_page
      in: query
      description: The page number to retrieve
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    ValidationError:
      description: Failed due to a formatting error.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
              errors:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````